<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.pluginspro.io
 * @since      1.0.0
 *
 * @package    SP4CF7
 * @subpackage SP4CF7/public/partials
 */
?>
<div class="sp4cf7-public-wrapper">
    <div class="sp4cf7-card sp4cf7-border-1">
        <div class="sp4cf7-card-body">
            <div class="sp4cf7-row ">
                <div class="sp4cf7-col">
                    <div class="sp4cf7-row sp4cf7-justify-content-between">
	                    <div class="sp4cf7-flex-sm-col sp4cf7-col-auto">
	                        <div class="sp4cf7-col-auto">
                                <div class="sp4cf7-media sp4cf7-flex-column sp4cf7-flex-sm-row">
                                    <?php if ($item_img[0]): ?>
                                        <div class="sp4cf7-p-img">
                                        <?php echo wp_get_attachment_image($item_img[0], 'medium', false, array( "class" => "img-fluid" )); ?>
                                        </div> 
                                    <?php endif ?>
                                    <div class="sp4cf7-media-body sp4cf7-my-auto">
                                        <div class="sp4cf7-row ">
                                            <div class="sp4cf7-col-prod">
                                                <div class="sp4cf7-p-name">
													<div class="sp4cf7-name"><?php _e($item_name[0],SP4CF7_DOMAIN) ?></div>
													<div class="sp4cf7-text-muted sp4cf7-p-sku"><?php _e($item_sku[0], SP4CF7_DOMAIN) ?></div>
													<div class="sp4cf7-p-description"><?php _e($item_desc[0],SP4CF7_DOMAIN) ?></div>
												</div>
                                            </div> 
                                        </div>
                                    </div>
                                </div>
	                            
	                        </div>
	                    </div>
                    </div>
                </div>
                <div class="sp4cf7-flex-sm-col sp4cf7-col-auto">
                    <p class="sp4cf7-p-price"><span class="sp4cf7-b"><?php _e('$' . number_format_i18n( $item_price[0], 2 ), SP4CF7_DOMAIN); ?></span></p>
                </div>
            </div>
            <hr class="my-2 sp4cf7-hr">
            <div class="sp4cf7-row ">
                <div class="sp4cf7-col">
                    <div class="sp4cf7-row sp4cf7-justify-content-between">
                        <div class="sp4cf7-flex-sm-col sp4cf7-col-auto">
                            <p><span class="sp4cf7-b">Total</span></p>
                        </div>
                        <div class="sp4cf7-flex-sm-col sp4cf7-col-auto">
                            <p class="sp4cf7-total"><span class="sp4cf7-b"><?php _e('$' . number_format_i18n( $item_price[0], 2 ), SP4CF7_DOMAIN); ?></span></p>
                        </div>
                    </div>
                    <hr class="sp4cf7-my-0 sp4cf7-hr">
                </div>
            </div>
        </div>
        <div class="sp4cf7-card-element">
		    <?php
		    	include_once( SP4CF7_PATH . 'public/partials/'.SP4CF7_DOMAIN.'-public-card-element.php' );
		    ?>
        </div>

    </div>

</div>